<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">

<head>

<meta charset="utf-8" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="generator" content="pandoc" />

<meta name="viewport" content="width=device-width, initial-scale=1">

<meta name="author" content="Michael Folkes" />

<meta name="date" content="2018-12-14" />

<title>Introduction to ctctools</title>






<style type="text/css">body {
background-color: #fff;
margin: 1em auto;
max-width: 700px;
overflow: visible;
padding-left: 2em;
padding-right: 2em;
font-family: "Open Sans", "Helvetica Neue", Helvetica, Arial, sans-serif;
font-size: 14px;
line-height: 1.35;
}
#header {
text-align: center;
}
#TOC {
clear: both;
margin: 0 0 10px 10px;
padding: 4px;
width: 400px;
border: 1px solid #CCCCCC;
border-radius: 5px;
background-color: #f6f6f6;
font-size: 13px;
line-height: 1.3;
}
#TOC .toctitle {
font-weight: bold;
font-size: 15px;
margin-left: 5px;
}
#TOC ul {
padding-left: 40px;
margin-left: -1.5em;
margin-top: 5px;
margin-bottom: 5px;
}
#TOC ul ul {
margin-left: -2em;
}
#TOC li {
line-height: 16px;
}
table {
margin: 1em auto;
border-width: 1px;
border-color: #DDDDDD;
border-style: outset;
border-collapse: collapse;
}
table th {
border-width: 2px;
padding: 5px;
border-style: inset;
}
table td {
border-width: 1px;
border-style: inset;
line-height: 18px;
padding: 5px 5px;
}
table, table th, table td {
border-left-style: none;
border-right-style: none;
}
table thead, table tr.even {
background-color: #f7f7f7;
}
p {
margin: 0.5em 0;
}
blockquote {
background-color: #f6f6f6;
padding: 0.25em 0.75em;
}
hr {
border-style: solid;
border: none;
border-top: 1px solid #777;
margin: 28px 0;
}
dl {
margin-left: 0;
}
dl dd {
margin-bottom: 13px;
margin-left: 13px;
}
dl dt {
font-weight: bold;
}
ul {
margin-top: 0;
}
ul li {
list-style: circle outside;
}
ul ul {
margin-bottom: 0;
}
pre, code {
background-color: #f7f7f7;
border-radius: 3px;
color: #333;
white-space: pre-wrap; 
}
pre {
border-radius: 3px;
margin: 5px 0px 10px 0px;
padding: 10px;
}
pre:not([class]) {
background-color: #f7f7f7;
}
code {
font-family: Consolas, Monaco, 'Courier New', monospace;
font-size: 85%;
}
p > code, li > code {
padding: 2px 0px;
}
div.figure {
text-align: center;
}
img {
background-color: #FFFFFF;
padding: 2px;
border: 1px solid #DDDDDD;
border-radius: 3px;
border: 1px solid #CCCCCC;
margin: 0 5px;
}
h1 {
margin-top: 0;
font-size: 35px;
line-height: 40px;
}
h2 {
border-bottom: 4px solid #f7f7f7;
padding-top: 10px;
padding-bottom: 2px;
font-size: 145%;
}
h3 {
border-bottom: 2px solid #f7f7f7;
padding-top: 10px;
font-size: 120%;
}
h4 {
border-bottom: 1px solid #f7f7f7;
margin-left: 8px;
font-size: 105%;
}
h5, h6 {
border-bottom: 1px solid #ccc;
font-size: 105%;
}
a {
color: #0033dd;
text-decoration: none;
}
a:hover {
color: #6666ff; }
a:visited {
color: #800080; }
a:visited:hover {
color: #BB00BB; }
a[href^="http:"] {
text-decoration: underline; }
a[href^="https:"] {
text-decoration: underline; }

code > span.kw { color: #555; font-weight: bold; } 
code > span.dt { color: #902000; } 
code > span.dv { color: #40a070; } 
code > span.bn { color: #d14; } 
code > span.fl { color: #d14; } 
code > span.ch { color: #d14; } 
code > span.st { color: #d14; } 
code > span.co { color: #888888; font-style: italic; } 
code > span.ot { color: #007020; } 
code > span.al { color: #ff0000; font-weight: bold; } 
code > span.fu { color: #900; font-weight: bold; }  code > span.er { color: #a61717; background-color: #e3d2d2; } 
</style>

</head>

<body>




<h1 class="title toc-ignore">Introduction to ctctools</h1>
<h4 class="author"><em>Michael Folkes</em></h4>
<h4 class="date"><em>2018-12-14</em></h4>



<p>The package <code>ctctools</code> is a suite of R functions for analyses performed by the Chinook Technical Committee (CTC) of the Pacific Salmon Commission (PSC). The package comprises functions from several projects that have moderate overlap:</p>
<ol style="list-style-type: decimal">
<li>Performance analyses of calibration model results,</li>
<li>HRJ data file import, manipulation, and export (revision to Gayle Brown’s AWK code),</li>
<li>HRJ data plotting (Not currently included),</li>
<li>Calculation of the Stratified Proportional Fishery Index (SPFI).</li>
<li>Calculation of the Fishery Policy (FP) scaler.</li>
<li>Evaluating ISBM and CYER indices.</li>
</ol>
<p>The ctctools package is available on Github. To install it the user needs the <code>devtools</code> package from CRAN, which is installed in R using the command: <code>install.packages(&quot;devtools&quot;)</code> To install <code>ctctools</code> from github (it’s not available on CRAN) use the R command:</p>
<p><code>devtools::install_github(&quot;MichaelFolkes/ctctools&quot;, build_vignettes = TRUE)</code>.</p>
<p>Not all functions have been fully tested.</p>
<p>To get started with <code>ctctools</code> four functions have been included that will guide the user, specific to each type of task. Individually running each function (e.g. <code>writeScriptSPFI()</code>) will result in the creation and opening of an R script that includes the necessary functions specific to each topic. Some functions that are called within each script will rely on directory paths that point to data files (e.g. the hrj files). As the directory paths included in the scripts may not be correct for the user’s computer, they will likely need updating. For this reason <strong>do not blindly execute the script in its entirety as it will likely fail.</strong></p>
<ol style="list-style-type: decimal">
<li>Calibration testing: <code>writeScriptCalibrationTester()</code></li>
<li>Managing HRJ data: <code>writeScriptHRJ()</code></li>
<li>SPFI calculation: <code>writeScriptSPFI()</code></li>
<li>FP calculation: <code>writeScriptFP()</code></li>
<li>ISBM/CYER evaluation: <code>writeScriptISBM()</code></li>
</ol>
<p>This document will be expanded as time allows.</p>



<!-- dynamically load mathjax for compatibility with self-contained -->
<script>
  (function () {
    var script = document.createElement("script");
    script.type = "text/javascript";
    script.src  = "https://mathjax.rstudio.com/latest/MathJax.js?config=TeX-AMS-MML_HTMLorMML";
    document.getElementsByTagName("head")[0].appendChild(script);
  })();
</script>

</body>
</html>
